%define up_name     LibVNCServer
%define major       1
%define libname     %mklibname vncserver %{major}
%define develname   %mklibname -d vncserver

Name:		libvncserver
Version:	0.9.11
%define subrel	1
Release:	%mkrel 1
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries
License:	GPLv2
URL:		http://libvnc.github.io
Source0:	https://github.com/LibVNC/libvncserver/archive/%{up_name}-%{version}.tar.gz
Patch1: 	LibVNCServer-0.9.11-system_minilzo.patch
Patch2: 	libvncserver-0.9.1-multilib.patch
# 1/2 Fix CVE-2018-7225, bug #1546860
Patch3:		libvncserver-0.9.11-Validate-client-cut-text-length.patch
# 2/2 Fix CVE-2018-7225, bug #1546860
Patch4:		libvncserver-0.9.11-Limit-client-cut-text-length-to-1-MB.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	jpeg-devel
BuildRequires:	minilzo-devel
BuildRequires:	gettext-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(libpng)

%description
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{libname}
Summary:	An easy API to write one's own VNC server
Group:		System/Libraries

%description -n	%{libname}
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It is based on OSXvnc, which in turn is based on the original Xvnc by
ORL, later AT&T research labs in UK.

It hides the programmer from the tedious task of managing clients and
compression schemata.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel < %{version}-%{release}

%description -n	%{develname}
Static libraries and header files for LibVNCServer.

%package -n	linuxvnc
Summary:	VNC server to monitor a text session
Group:		Networking/Remote access

%description -n	linuxvnc
With linuxvnc you can export your currently running text sessions to any VNC
client. So it can be useful, if you want to move to another computer without
having to log out and if you've forgotten to attach a 'screen' session to it,
or to help a distant colleague to solve a problem.

Based on the ideas of x0rfbserver and on LibVNCServer, it has evolved
into a versatile and performant while still easy to use program.

%prep
%setup -q -n %{name}-%{up_name}-%{version}
%patch1 -p1 -b .system_minilzo
#nuke bundled minilzo
rm -f common/lzodefs.h common/lzoconf.h commmon/minilzo.h common/minilzo.c
%patch2 -p1 -b .multilib
%patch3 -p1
%patch4 -p1


%build
autoreconf -vfi
%configure2_5x --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/rfb
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_bindir}/libvncserver-config


%changelog
* Sun Apr 01 2018 daviddavid <daviddavid> 0.9.11-1.1.mga6
  (not released yet)
+ Revision: 1214048
- add two fedora patches to fix CVE-2018-7225 (mga#22847)

* Fri Jan 13 2017 mrambo3501 <mrambo3501> 0.9.11-1.mga6
+ Revision: 1081267
- update to version 0.9.11
- modify the minilzo patch to apply to the new version
- remove three patches which have been applied upstream
- remove the patch and spec file references to unsupported libva

* Mon Jan 09 2017 mrambo3501 <mrambo3501> 0.9.10-6.mga6
+ Revision: 1080793
- added modified debian patch to fix CVE-2016-9941
- added debian patch to fix CVE-2016-9942
- added patch to fix build issues with libva enabled
- added BR for both libpng and libva-x11

* Fri Jul 08 2016 daviddavid <daviddavid> 0.9.10-5.mga6
+ Revision: 1039859
- add BR libgcrypt-devel (fixes mga#18895)
- fix license
- switch BRs to pkgconfig()

* Wed Mar 02 2016 umeabot <umeabot> 0.9.10-4.mga6
+ Revision: 983608
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 0.9.10-3.mga6
+ Revision: 955721
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 blino <blino> 0.9.10-2.mga6
+ Revision: 891973
- explicitely disable libva, does not build and removed upstream (612de00)

* Tue Feb 17 2015 lmenut <lmenut> 0.9.10-1.mga5
+ Revision: 815424
- Update to 0.9.10
  remove patches merged upstream
  rediff system_minilzo patch
  remove linuxvnc splitted out upstream in vncterm

* Wed Nov 26 2014 oden <oden> 0.9.9-8.mga5
+ Revision: 799333
- the autopoo is broken, do it the hard way...
- run autoreconf -fi to pickup the changes
- sync with libvncserver-0.9.9-9.el7_0.1.src.rpm:
 - P7: build against the system minilzo library (rhbz#813764, rhbz#439979)
 - P8: nuke the %%multiarch cruft
 - P9: pkgconfig love (rhbz#854111)

* Wed Oct 15 2014 umeabot <umeabot> 0.9.9-7.mga5
+ Revision: 746830
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 luigiwalser <luigiwalser> 0.9.9-6.mga5
+ Revision: 736630
- add upstream patches to fix CVE-2014-605[1-5] (mga#14155)

* Tue Sep 16 2014 umeabot <umeabot> 0.9.9-5.mga5
+ Revision: 681848
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 luigiwalser <luigiwalser> 0.9.9-4.mga5
+ Revision: 665627
- add patch from KDE to fix CVE-2014-4607 in bundled minilzo

* Fri Oct 18 2013 umeabot <umeabot> 0.9.9-3.mga4
+ Revision: 507418
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 358399
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 0.9.9-1.mga3
+ Revision: 282355
- 0.9.9
- fix format string error

* Tue Jan 03 2012 fwang <fwang> 0.9.8.2-1.mga2
+ Revision: 189960
- new version 0.9.8.2
- new version 0.9.8
+ ahmad <ahmad>
- imported package libvncserver

